## org.apache.ivy.plugins.circular
Class ErrorCircularDependencyStrategy

    java.lang.Object
      org.apache.ivy.plugins.circular.AbstractCircularDependencyStrategy
          org.apache.ivy.plugins.circular.ErrorCircularDependencyStrategy

All Implemented Interfaces:
  CircularDependencyStrategy

    public final class ErrorCircularDependencyStrategy

extends AbstractCircularDependencyStrategy

Method Summary
`static CircularDependencyStrategy` `getInstance()`
`void` `handleCircularDependency(ModuleRevisionId[] mrids)`

Methods inherited from class org.apache.ivy.plugins.circular.AbstractCircularDependencyStrategy
`getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static CircularDependencyStrategy getInstance()

### handleCircularDependency

    public void handleCircularDependency(ModuleRevisionId[] mrids)
                                  throws CircularDependencyException

  Throws:
    `CircularDependencyException`